Update an FAQ
curl --request PATCH \
--url https://api.nateq.io/api/v1/faqs/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"categoryId": "<string>",
"content": "<string>",
"description": "<string>",
"displayOrder": 1,
"isPublished": true,
"slug": "<string>",
"title": "<string>"
}
'{
"data": {
"category": {
"collectionId": "<string>",
"createdAt": "<string>",
"displayOrder": 123,
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
},
"categoryId": "<string>",
"collection": {
"color": "<string>",
"createdAt": "<string>",
"description": "<string>",
"displayOrder": 123,
"faqCount": 123,
"faqs": "<array>",
"icon": "<string>",
"id": "<string>",
"isPublished": true,
"name": "<string>",
"organizationId": "<string>",
"slug": "<string>",
"totalReadTime": 123,
"updatedAt": "<string>"
},
"collectionId": "<string>",
"content": "<string>",
"createdAt": "<string>",
"description": "<string>",
"displayOrder": 123,
"id": "<string>",
"isFeatured": true,
"isPublished": true,
"organizationId": "<string>",
"readTime": 123,
"slug": "<string>",
"tags": [
"<string>"
],
"title": "<string>",
"updatedAt": "<string>",
"views": 123
},
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"count": 123,
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}FAQs
Update an FAQ
Update an FAQ by ID.
PATCH
/
faqs
/
{id}
Update an FAQ
curl --request PATCH \
--url https://api.nateq.io/api/v1/faqs/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"categoryId": "<string>",
"content": "<string>",
"description": "<string>",
"displayOrder": 1,
"isPublished": true,
"slug": "<string>",
"title": "<string>"
}
'{
"data": {
"category": {
"collectionId": "<string>",
"createdAt": "<string>",
"displayOrder": 123,
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
},
"categoryId": "<string>",
"collection": {
"color": "<string>",
"createdAt": "<string>",
"description": "<string>",
"displayOrder": 123,
"faqCount": 123,
"faqs": "<array>",
"icon": "<string>",
"id": "<string>",
"isPublished": true,
"name": "<string>",
"organizationId": "<string>",
"slug": "<string>",
"totalReadTime": 123,
"updatedAt": "<string>"
},
"collectionId": "<string>",
"content": "<string>",
"createdAt": "<string>",
"description": "<string>",
"displayOrder": 123,
"id": "<string>",
"isFeatured": true,
"isPublished": true,
"organizationId": "<string>",
"readTime": 123,
"slug": "<string>",
"tags": [
"<string>"
],
"title": "<string>",
"updatedAt": "<string>",
"views": 123
},
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"count": 123,
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Authorizations
Your API key as a Bearer token: Authorization: Bearer tg_live_...
Path Parameters
FAQ ID
Body
application/json
Fields to update
Was this page helpful?
⌘I